Author Topic: Apache server does not start after upgrading to 2.4 in latest CWP Upgrade  (Read 825 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Hello,
I have been trying to upgrade the cwp version as provided in the upgrade details since it was first released. But, still getting error and cant not update.
When CWP is updated apache 2.4 does not start. and is giving error.
Code: [Select]
[root@vps modsecurity-2.9.1]# /etc/init.d/httpd restart
Stopping httpd: [FAILED]
Starting httpd: httpd: Syntax error on line 54 of /usr/local/apache/conf/httpd.conf: Cannot load modules/mod_antiloris.so into server: /usr/local/apache/modules/mod_antiloris.so: undefined symbol: ap_log_error
[FAILED]

Offline
*
I had this error when i first updated CWP and Apache , in order to get rid of that specific error i had to rebuild apache again from within CWP , this got rid of that specific error , but gave me other ones , you may or may not get them depending on your system.

Regards

Offline
*
check in the file (from command line) /usr/local/apache/conf/httpd.conf for line having text mod_antiloris and delete that line.
then you can restart your apache
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services